Intermittent browser_625016.js | observe1:  windows in data written to disk - Got  expected  (and one more)
Rev3 WINNT  mozilla-inbound debug test mochitest-browser-chrome on   PST for push 

slave: talos-r3-w7-014



{
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file  line 
WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result  file  line 
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file  line 
************************************************************
* Call to xpconnect wrapped JSObject produced this error: *
[Exception... "'TypeError: this.chatbar.removeAll is not a function' when calling method: [nsIRunnable::run]" nsresult: "0x8057001c (NS_ERROR_XPC_JS_THREW_JS_OBJECT)" location: "native frame :: <unknown filename> :: <TOP_LEVEL> :: line  data: no]
************************************************************
TEST-INFO |  | Console message: [JavaScript Error: "[Exception... "'TypeError: this.chatbar.removeAll is not a function' when calling method: [nsIRunnable::run]" nsresult: "0x8057001c (NS_ERROR_XPC_JS_THREW_JS_OBJECT)" location: "native frame :: <unknown filename> :: <TOP_LEVEL> :: line  data: no]"]
TEST-INFO |  | observe1: sessionstore-state-write
TEST-UNEXPECTED-FAIL |  | observe1:  windows in data being writted to disk - Got  expected 
Stack trace:
JS frame ::  :: test_is :: line 
JS frame ::  :: observe1 :: line 
JS frame ::  :: ssi_saveStateObject :: line 
JS frame ::  :: ssi_saveState :: line 
JS frame ::  :: ssi_onTimerCallback :: line 
JS frame ::  :: ssi_observe :: line 
native frame :: <unknown filename> :: <TOP_LEVEL> :: line 

TEST-PASS |  | observe1: no closed windows in data being writted to disk
TEST-UNEXPECTED-FAIL |  | observe1:  closed window according to API - Got  expected 
Stack trace:
JS frame ::  :: test_is :: line 
JS frame ::  :: observe1 :: line 
JS frame ::  :: ssi_saveStateObject :: line 
JS frame ::  :: ssi_saveState :: line 
JS frame ::  :: ssi_onTimerCallback :: line 
JS frame ::  :: ssi_observe :: line 
native frame :: <unknown filename> :: <TOP_LEVEL> :: line 

TEST-INFO |  | observe1: sessionstore-state-write-complete
++DOCSHELL  ==  [id = 
++DOMWINDOW ==  (3633DD38) [serial =  [outer = 
++DOMWINDOW ==  (36349030) [serial =  [outer = 
WARNING: NS_ENSURE_TRUE(mMutable) failed: file  line 
++DOMWINDOW ==  (363489B8) [serial =  [outer = 
WARNING: NS_ENSURE_TRUE(mMutable) failed: file  line 
TEST-INFO |  | observe2: sessionstore-state-write
TEST-PASS |  | observe2:  window in data being writted to disk
TEST-UNEXPECTED-FAIL |  | observe2:  closed window in data being writted to disk - Got  expected 
Stack trace:
JS frame ::  :: test_is :: line 
JS frame ::  :: observe2 :: line 
JS frame ::  :: ssi_saveStateObject :: line 
JS frame ::  :: ssi_saveState :: line 
JS frame ::  :: ssi_onTimerCallback :: line 
JS frame ::  :: ssi_observe :: line 
native frame :: <unknown filename> :: <TOP_LEVEL> :: line 

TEST-UNEXPECTED-FAIL |  | observe2:  closed window according to API - Got  expected 
Stack trace:
JS frame ::  :: test_is :: line 
JS frame ::  :: observe2 :: line 
JS frame ::  :: ssi_saveStateObject :: line 
JS frame ::  :: ssi_saveState :: line 
JS frame ::  :: ssi_onTimerCallback :: line 
JS frame ::  :: ssi_observe :: line 
native frame :: <unknown filename> :: <TOP_LEVEL> :: line 

TEST-INFO |  | observe2: sessionstore-state-write-complete
TEST-UNEXPECTED-FAIL |  |  closed window according to API - Got  expected 
Stack trace:
JS frame ::  :: test_is :: line 
JS frame ::  :: done :: line 
JS frame ::  :: observe2 :: line 
JS frame ::  :: onSuccess :: line 
JS frame ::  :: effort :: line 
JS frame ::  :: resolveDeferred :: line 
JS frame ::  :: then :: line 
JS frame ::  :: resolve :: line 
JS frame ::  :: resolveDeferred :: line 
JS frame ::  :: then :: line 
JS frame ::  :: resolve :: line 
JS frame ::  :: TaskImpl_run :: line 
JS frame ::  :: effort :: line 
JS frame ::  :: resolveDeferred :: line 
JS frame ::  :: then :: line 
JS frame ::  :: resolve :: line 
JS frame ::  :: resolveDeferred :: line 
JS frame ::  :: then :: line 
JS frame ::  :: resolve :: line 
JS frame ::  :: onmessage :: line 
native frame :: <unknown filename> :: <TOP_LEVEL> :: line 

...
...
}
